summaryrefslogtreecommitdiffstats
path: root/patches/03_noperl-gen-translit.patch
diff options
context:
space:
mode:
Diffstat (limited to 'patches/03_noperl-gen-translit.patch')
-rw-r--r--patches/03_noperl-gen-translit.patch6
1 files changed, 4 insertions, 2 deletions
diff --git a/patches/03_noperl-gen-translit.patch b/patches/03_noperl-gen-translit.patch
index cffc8cd..2bd4585 100644
--- a/patches/03_noperl-gen-translit.patch
+++ b/patches/03_noperl-gen-translit.patch
@@ -5,7 +5,7 @@ Description: Replace locale/gen-translit.pl with a shell script
diff -Naur src.orig/libc/locale/gen-translit.sh src/libc/locale/gen-translit.sh
--- src.orig/libc/locale/gen-translit.sh 1969-12-31 19:00:00.000000000 -0500
+++ src/libc/locale/gen-translit.sh 2013-06-21 18:04:13.414351956 -0400
-@@ -0,0 +1,195 @@
+@@ -0,0 +1,197 @@
+#!/bin/sh
+# A POSIX.1 shell command language translation of gen-translit.pl.
+
@@ -96,6 +96,8 @@ diff -Naur src.orig/libc/locale/gen-translit.sh src/libc/locale/gen-translit.sh
+$(cat C-translit.h.in | gcc -E - || die 'Cannot preprocess input file')
+EOF
+
++printf '#include <stdint.h>\n'
++
+printf '#define NTRANSLIT %d\n' ${ntranslit}
+
+printf 'static const uint32_t translit_from_idx[] =\n{\n '
@@ -204,7 +206,7 @@ diff -Naur src.orig/libc/locale/gen-translit.sh src/libc/locale/gen-translit.sh
diff -Naur src.orig/libc/locale/Makefile src/libc/locale/Makefile
--- src.orig/libc/locale/Makefile 2012-11-17 12:50:14.000000000 -0500
+++ src/libc/locale/Makefile 2013-06-21 18:10:15.525446048 -0400
-@@ -88,7 +88,11 @@
+@@ -87,7 +87,11 @@
$(objpfx)localedef $(objpfx)locale: $(lib-modules:%=$(objpfx)%.o)
C-translit.h: C-translit.h.in gen-translit.pl